%global library dictdiffer

Name:       python-%{library}
Version:    0.9.0
Release:    2%{?dist}
Summary:    Dictdiffer is a module that helps you to diff and patch dictionaries
License:    MIT
URL:        https://github.com/inveniosoftware/dictdiffer
Source0:    https://github.com/inveniosoftware/dictdiffer/archive/v%{version}.tar.gz
BuildArch:  noarch


%package -n python3-%{library}
Summary: Dictdiffer is a module that helps you to diff and patch dictionaries

BuildRequires: python3-devel
BuildRequires: python3-pytest-runner
BuildRequires: python3-setuptools
BuildRequires: python3-setuptools_scm
BuildRequires: python3-pytest
BuildRequires: python3-pytest-cov
BuildRequires: python3-pytest-cache
BuildRequires: python3-isort
BuildRequires: python3-coverage
BuildRequires: python3-mock
BuildRequires: python3-tox

BuildRequires: git
%description -n python3-%{library}
Dictdiffer is a module that helps you to diff and patch dictionaries

%package doc
Summary: Documentation for %{name}.
BuildRequires: python3-sphinx
BuildRequires: python3-recommonmark
%description doc
%{summary}

%description
Dictdiffer is a module that helps you to diff and patch dictionaries

%prep
%autosetup -n %{library}-%{version} -S git
sed -i -e /pytest-runner/d setup.py


sed -i 's/tox>=3.7.0/tox>=3.4.0/' setup.py

sed -i -e /check-manifest/d setup.py


%build
%py3_build

%install
%py3_install

PYTHONPATH=%{buildroot}/%{python3_sitelib} sphinx-build docs/ html
%{__rm} -rf html/.buildinfo
%{__rm} -rf html/.doctrees

%check


%files -n python3-%{library}
%license LICENSE
%{python3_sitelib}/%{library}/*
%{python3_sitelib}/%{library}-*.egg-info

%files doc
%license LICENSE
%doc html

%changelog
* Tue Sep 3 2024 Ze Zhang <bbrucezhang@tencent.com> - 0.9.0-2
- [Type] other
- [DESC] Remove not used macors

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-1
- initial build
